# Generated by Django 3.1.7 on 2021-03-09 13:43

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='PaymentReceipts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
                ('email', models.CharField(blank=True, max_length=100, null=True)),
                ('receipt_img', models.ImageField(upload_to='receipts')),
                ('status', models.BooleanField(default=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('notes', models.TextField(blank=True, null=True)),
                ('member_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='member_payment_receipts', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'payment_receipts',
            },
        ),
    ]
